200OKThe request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
BillImportRuleLogResponseV202604
Property
Description
Type
billImportRuleTask
TaskChildWithDate
TaskChildWithDate properties
Property
Description
Type
beginDate
The date and time the task began
string (date-time)
endDate
The date and time the task finished. If the task is not finished, endDate will have no value
string (date-time)
status
Status of the task
string
taskGUId
GUID for the Task
string (uuid)
taskId
Identifier for the Task
integer (int32)
billProcessingHash
A unique value used to identify a set of rules being executed for a bill Required (defined)
string (uuid)
executedRules
The set of rules executed for a bill Required (defined)
BillImportRuleLogExecutionDataV202604[]
BillImportRuleLogExecutionDataV202604 properties
Property
Description
Type
billImportRule
BillImportRuleChildV202604
BillImportRuleChildV202604 properties
Property
Description
Type
billImportRuleId
The unique identifier of the bill import rule
integer (int32)
billImportRuleInfo
The name of the bill import rule
string
locked
The lock status of the rule.
If locked, it is considered a ‘Default’ rule provided by the system and the rule cannot be modified, with the exception of EnergyCAP Staff being able to enable/disable a rule via the EditRuleStatus API.
boolean
executionOrder
The order in which the rule executed during processing, with 1 being the first rule to execute
integer (int32)
executionTime
The date and time the rule was executed
string (date-time)
logData
BillImportRuleLogDataV202604
BillImportRuleLogDataV202604 properties
Property
Description
Type
differences
A list of what properties were changed on the bill, including the value before and after the rule was changed.
Note that these properties are relative to the import file and may not map in an obvious way to the final bill.
BillImportRuleLogDataDifferenceV202604[]
BillImportRuleLogDataDifferenceV202604 properties
Property
Description
Type
newValue
The value on the bill import file after the rule ran
string
originalValue
The value on the bill import file before the rule ran
string
propertyName
Name of the property modified.
Note that these properties are relative to the import file and may not map in an obvious way to the final bill.